Subject: Re: Coming to DC - Hiway construction?

From: [email-masked] (William E. Smith)
Date: Tue, 20 Jun 1995 08:19:53 -0400

In article <[email-masked]>, Mark Kunoff <[email-masked]> wrote:

> Hi everyone,
> 
> I will be traveling by car to DC in mid July.
> Could anyone alert me to any traffic snags
> due to construction or otherwise?
> 
> Thanks!
> 
> -Mark
> 
> Alternate email: [email-masked]

   It depends on which direction you're coming from.

   I-95 from Baltimore:

      I am not aware of any problems.

   Balt-Wash Pkwy:

      Most of the construction has been completed.

   US 50 from Annapolis:

      All construction completed outside the Capital Beltway.  Repairs
are underway at Kenilworth Avenue.

   I-95 from Richmond:

      Construction on HOV lanes between Dale City and Woodbridge.

   I-66:

      Widening of I-66?

   I-270:

      Construction between MD 121 and Germantown.

-- 
Bill Smith, Scientific Programmer/Analyst, General Sciences Corp.
Internet: [email-masked]        Phone: (301) 286-8471
Mail: Code 910.3, Goddard Space Flight Center, Greenbelt, MD 20771